From 799485d652042cf8b644ebb55997ea571d89f95e Mon Sep 17 00:00:00 2001
From: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date: Thu, 4 Apr 2019 23:06:55 +0200
Subject: [PATCH 2/4] Make error and warning entry text more readable

---
 gtk-3.0/_common.scss           | 1 +
 gtk-3.0/gtk-contained-dark.css | 2 ++
 gtk-3.0/gtk-contained.css      | 2 ++
 3 files changed, 5 insertions(+)

diff --git a/gtk-3.0/_common.scss b/gtk-3.0/_common.scss
index 5b2a17f..8ea6410 100644
--- a/gtk-3.0/_common.scss
+++ b/gtk-3.0/_common.scss
@@ -294,6 +294,7 @@ entry {
       &.#{$e_type} {
         background-color: transparentize($e_color, 0.9);
         color: $e_color;
+        text-shadow: none;
         border-color: entry_focus_border($e_color);
 
         &:focus { @include entry(focus, $e_color); }
diff --git a/gtk-3.0/gtk-contained-dark.css b/gtk-3.0/gtk-contained-dark.css
index d86edb2..0c5fd53 100644
--- a/gtk-3.0/gtk-contained-dark.css
+++ b/gtk-3.0/gtk-contained-dark.css
@@ -238,6 +238,7 @@ entry {
   entry.error {
     background-color: rgba(204, 0, 0, 0.1);
     color: #cc0000;
+    text-shadow: none;
     border-color: #1a0000; }
     spinbutton.error:focus:not(.vertical),
     entry.error:focus {
@@ -249,6 +250,7 @@ entry {
   entry.warning {
     background-color: rgba(245, 121, 0, 0.1);
     color: #f57900;
+    text-shadow: none;
     border-color: #432100; }
     spinbutton.warning:focus:not(.vertical),
     entry.warning:focus {
diff --git a/gtk-3.0/gtk-contained.css b/gtk-3.0/gtk-contained.css
index 1250c94..d2a424b 100644
--- a/gtk-3.0/gtk-contained.css
+++ b/gtk-3.0/gtk-contained.css
@@ -239,6 +239,7 @@ entry {
   entry.error {
     background-color: rgba(204, 0, 0, 0.1);
     color: #cc0000;
+    text-shadow: none;
     border-color: #cc0000; }
     spinbutton.error:focus:not(.vertical),
     entry.error:focus {
@@ -250,6 +251,7 @@ entry {
   entry.warning {
     background-color: rgba(245, 121, 0, 0.1);
     color: #f57900;
+    text-shadow: none;
     border-color: #f57900; }
     spinbutton.warning:focus:not(.vertical),
     entry.warning:focus {
-- 
2.22.0

